Bug 228881 - Cannot start profiler with JBoss
Cannot start profiler with JBoss
Status: NEW
Product: profiler
Classification: Unclassified
Component: Ide
7.3.1
PC All
: P3 with 1 vote (vote)
: 7.4
Assigned To: Tomas Hurka
issues@profiler
731-not-a-stopper, EXCEPTIONS_REPORT
:
: 233378 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-23 09:10 UTC by Jiri Skrivanek
Modified: 2013-11-27 19:09 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.21 KB, text/plain)
2013-04-23 09:10 UTC, Jiri Skrivanek
Details
Stack trace from JBoss server log. (5.18 KB, text/plain)
2013-04-23 09:13 UTC, Jiri Skrivanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2013-04-23 09:10:30 UTC
Build: NetBeans IDE Dev (Build web-main-javaee7-252-on-20130422)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.7-b01, Java(TM) SE Runtime Environment, 1.7.0_17-b02
OS: Windows 7

User Comments:
jskrivanek: - create web project with JBoss 7.2.0
- start JBoss in profile mode
- try to profile project but it fails




Stacktrace: 
java.lang.AssertionError: Instance JBoss Application Server started again without proper stop
   at org.netbeans.modules.j2ee.jboss4.ide.JBOutputSupport.reset(JBOutputSupport.java:249)
   at org.netbeans.modules.j2ee.jboss4.ide.JBOutputSupport.start(JBOutputSupport.java:119)
   at org.netbeans.modules.j2ee.jboss4.ide.JBStartRunnable.run(JBStartRunnable.java:151)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
   at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2048)
Comment 1 Jiri Skrivanek 2013-04-23 09:10:31 UTC
Created attachment 133699 [details]
stacktrace
Comment 2 Jiri Skrivanek 2013-04-23 09:13:05 UTC
Similar use case but different error:
- create web project with JBoss 7.2.0
- try to profile project but it fails with exception in server log
Comment 3 Jiri Skrivanek 2013-04-23 09:13:46 UTC
Created attachment 133700 [details]
Stack trace from JBoss server log.
Comment 4 Petr Hejl 2013-04-26 09:44:10 UTC
Jirko, I'm getting a different exception. The server is complaining about LogManager in my case. Is that the same for you?
Comment 5 Jiri Skrivanek 2013-04-26 10:16:22 UTC
Yes, it is the second use case (comment 2,  attachment 133700 [details]).
Comment 6 Petr Hejl 2013-05-14 16:00:13 UTC
I'm passing the additional parameter, but it does not really fix the problem.
web-main c0cb470e8a00
Comment 7 Petr Hejl 2013-05-14 16:06:26 UTC
It looks like JBoss does not play well with agents/environments where logging is initialized sooner than JBoss gets to it.

https://issues.jboss.org/browse/AS7-1547
http://grepcode.com/file/repo1.maven.org/maven2/org.jboss.logmanager/jboss-logmanager/1.2.0.GA/org/jboss/logmanager/Logger.java#Logger

Tomasi, can you do anything about that in profiler/agent to avoid that?
Comment 8 Quality Engineering 2013-05-15 02:31:02 UTC
Integrated into 'main-golden', will be available in build *201305142300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c0cb470e8a00
User: Petr Hejl <phejl@netbeans.org>
Log: #228881 - AssertionError: Instance JBoss Application Server started again without proper stop
Comment 9 Petr Hejl 2013-05-20 06:39:42 UTC
Tomasi is it possible to workaround/fix it in the profiler agent? If not I'll disable profiling for JBoss AS 7. Thanks.
Comment 10 Petr Jiricka 2013-05-22 15:34:45 UTC
According to Tomas Hurka, it is not possible to fix this properly for 7.3.1 - just for 7.4. PetreH, so do you plan to disable profiling of JBoss 7 for 7.3.1? Thanks.
Comment 11 Petr Hejl 2013-05-24 11:08:43 UTC
(In reply to comment #10)
> According to Tomas Hurka, it is not possible to fix this properly for 7.3.1 -
> just for 7.4. PetreH, so do you plan to disable profiling of JBoss 7 for 7.3.1?
> Thanks.
I must say I tried that however only services view respects the profile ability flag. Project still allow user to profile it - I suppose the project/ant does not really check the server. This would need some changes both on project and server side. I think this not worth doing for 7.3.1 considering the risk.
Comment 12 Petr Jiricka 2013-05-26 16:24:07 UTC
Ok, waiving this issue for 7.3.1 (adding 731-not-a-stopper whiteboard).
Comment 13 Jiri Skrivanek 2013-07-25 08:59:07 UTC
*** Bug 233378 has been marked as a duplicate of this bug. ***
Comment 14 Petr Hejl 2013-08-23 08:39:52 UTC
If this is hard to fix we could lower it to P3 as issue #202587 is fixed and JBoss 7 now declare it does not support profiling.
Comment 15 Petr Jiricka 2013-09-05 12:38:14 UTC
I verified that the JBoss node in Services does not contain the Start in Profile Mode menu item, and when profiling project that uses JBoss as the target server, a graceful information message about unsupported profiling is displayed. 

Changing to P3 defect as discussed above, and assigning to profiler.
Comment 16 hilmer 2013-10-09 09:38:53 UTC
Just installed Netbeans 7.4RC2 to get around this, also tried to use remote profiling but that fails as well.

But it does not seam to be fixed for 7.4 yet, can I expect a fix when final comes out?


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo